%define major 4
%define libname %mklibname atasmart %{major}
%define develname %mklibname -d atasmart

Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Name:		libatasmart
Version:	0.19
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
URL:		http://git.0pointer.de/?p=libatasmart.git;a=summary
Source0:	http://0pointer.de/public/libatasmart-%{version}.tar.xz
BuildRequires:	libudev-devel

%description
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{libname}
Summary:	ATA S.M.A.R.T. Disk Health Monitoring Library
Group:		System/Libraries

%description -n	%{libname}
A small and lightweight parser library for ATA S.M.A.R.T. hard disk
health monitoring.

%package -n	%{develname}
Summary:	Development Files for libatasmart Client Development
Group:		Development/C
Provides:	libatasmart-devel = %version-%release
Requires:	%libname = %version-%release

%description -n	%{develname}
Development files for libatasmart Client Development

%prep

%setup -q

%build
%configure2_5x \
    --disable-static

%make

%install

%makeinstall_std

find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

%files
%doc README LGPL
%{_sbindir}/skdump
%{_sbindir}/sktest

%files -n %{libname}
%{_libdir}/libatasmart.so.%{major}*

%files -n %{develname}
%doc blob-examples/SAMSUNG* blob-examples/ST* blob-examples/Maxtor* blob-examples/WDC* blob-examples/README
%{_includedir}/atasmart.h
%{_libdir}/libatasmart.so
%{_libdir}/pkgconfig/libatasmart.pc
%{_datadir}/vala/vapi/atasmart.vapi


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.19-4.mga4
+ Revision: 506919
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.19-3.mga3
+ Revision: 356837
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 29 2012 colin <colin> 0.19-2.mga3
+ Revision: 264947
- Rebuild against new libudev major

* Fri Jun 01 2012 dams <dams> 0.19-1.mga3
+ Revision: 252739
- new version 0.19

* Sun Nov 27 2011 tv <tv> 0.18-1.mga2
+ Revision: 172609
- new release

  + pterjan <pterjan>
    - Drop obsolete Obsoletes and scriptlets
    - imported package libatasmart


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-2mdv2011.0
+ Revision: 602523
- rebuild

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.17-1mdv2010.1
+ Revision: 461762
- 0.17

* Tue Sep 29 2009 Frederik Himpe <fhimpe@mandriva.org> 0.16-1mdv2010.0
+ Revision: 451058
- update to new version 0.16

* Sat Sep 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdv2010.0
+ Revision: 444637
- fix build
- 0.15

* Fri Aug 07 2009 Frederik Himpe <fhimpe@mandriva.org> 0.14-1mdv2010.0
+ Revision: 411503
- Update to new version 0.14
- Move libraries and documentation from library package to libatasmart
  so that i586 and x86_64 library package are parallel installable

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2010.0
+ Revision: 395854
- fix devel provides

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2010.0
+ Revision: 395848
- fix devel dep

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2010.0
+ Revision: 375315
- 0.13

* Tue Apr 14 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2010.0
+ Revision: 366914
- import libatasmart


* Tue Apr 14 2009 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2009.1
- initial fedora import

* Sun Apr 12 2009 Lennart Poettering <lpoetter@redhat.com> 0.9-1
- New upstream release

* Fri Apr 10 2009 Lennart Poettering <lpoetter@redhat.com> 0.8-1
- New upstream release

* Tue Apr 7 2009 Lennart Poettering <lpoetter@redhat.com> 0.7-1
- New upstream release

* Sat Apr 5 2009 Lennart Poettering <lpoetter@redhat.com> 0.6-1
- New upstream release

* Fri Apr 3 2009 Lennart Poettering <lpoetter@redhat.com> 0.5-1
- New upstream release

* Thu Apr 2 2009 Lennart Poettering <lpoetter@redhat.com> 0.4-1
- New upstream release

* Tue Mar 24 2009 Lennart Poettering <lpoetter@redhat.com> 0.3-1
- New upstream release

* Thu Mar 19 2009 Lennart Poettering <lpoetter@redhat.com> 0.2-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 25 2008 Lennart Poettering <lpoetter@redhat.com> 0.1-1
- Initial version
